# Bill Payment & Payment Gateway Overview

The combination of Payment gateway and billing usually refers to the integration of an online Payment system with a billing system in a service or platform. This allows businesses or service providers to efficiently manage Payments and billing in one unified system.

In this combination, the Payment gateway is responsible for handling the online Payment process. When a Customer makes a purchase or Payment, the Payment gateway will manage the transaction, process the Payment, and send notifications to the Customer and business regarding the Payment status.

Meanwhile, the billing system is responsible for organizing and managing the billing process related to the services or products provided including detailed billing information and bill Payment status updates.

By integrating a Payment gateway with a billing system, a business or service provider can optimize operational efficiency and improve Customer experience.

### Transaction Flow <a href="#transaction-flow" id="transaction-flow"></a>

The overall end-to-end payment process in Finpay PG x Finpay Billing is illustrated in following sequence diagram:

{% @mermaid/diagram content="sequenceDiagram
Customer->>Mitra : Request Payment
Mitra->>Finpay : Request Payment
Finpay->>Mitra : Response Payment URL
Customer->>Finpay : Open Payment URL
Finpay->>Biller : Request inquiry
Biller->>Finpay : Response inquiry
Customer->>Finpay : Request Payment
Finpay->>Finpay : Selected SOF
Customer->>Finpay : Payment Process
Finpay->>Finpay : Payment Process
alt Payment Success
Finpay->> Biller : Request Payment
Biller->>Finpay : Response Payment
end
Finpay->>Mitra : Payment Notification" %}

{% hint style="info" %}
**INFO**

For detailed sequence of [Payment Processes](/api-reference/finpay-pg/hosted-payment.md#transaction-flow).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg-x-finpay-billing/bill-payment-and-payment-gateway-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
